Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.music
Class ToneDescription

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.std.music.ToneDescription

All Implemented Interfaces:
  java.lang.Cloneable, quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class ToneDescription
extends QTByteObject
implements quicktime.jdirect.QuickTimeLib, java.lang.Cloneable

Provides the information needed to produce a specific musical sound.

See Also:
  Serialized Form

Field Summary
`static int` | `kNativeSize` This is the size (the number of bytes) that are required for this class

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`ToneDescription()` Creates a ToneDescription object with no initial settings.
`ToneDescription(int gmNumber)` Initializes the ToneDescription instance with the appropriate instrument based on the specified gmNumber.
`ToneDescription(NoteAllocator na, int gmNumber)` Initializes the ToneDescription instance with the appropriate instrument based on the specified gmNumber.

Method Summary
`java.lang.Object` | `clone()` Makes a copy of a ToneDescription object.
`int` | `getGMNumber()` Returns the current gm Number of the described instrument's synthesiser.
`java.lang.String` | `getInstrumentName()` Returns the current name of the described instrument.
`int` | `getInstrumentNumber()` Returns the current number of the described instrument.
`java.lang.String` | `getSynthesizerName()` Returns the current name of the described instrument's synthesiser.
`int` | `getSynthesizerType()` Returns the current OSType of the described instrument's synthesiser.
`void` | `pickInstrument(NoteAllocator na, java.lang.String prompt, int flags)` Initialises the tone description structure through providing the user with a dialog that allows the user to choose the instrument.
`void` | `setGMNumber(int gmNumber)` Sets the current gm Number of the described instrument's synthesiser.
`void` | `setInstrumentName(java.lang.String name)` Sets the current name of the described instrument.
`void` | `setInstrumentNumber(int num)` Sets the current number of the described instrument.
`void` | `setSynthesizerName(java.lang.String name)` Sets the current name of the described instrument's synthesiser.
`void` | `setSynthesizerType(int type)` Sets the current OSType of the described instrument's synthesiser.
`void` | `stuff(NoteAllocator na, int gmNumber)` Initializes the calling ToneDescription instance with the details of the note channel specified by the gmNumber.
`java.lang.String` | `toString()` Returns a string representation of this object

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size (the number of bytes) that are required for this class

Constructor Detail

### ToneDescription

    public ToneDescription()

  Creates a ToneDescription object with no initial settings.

### ToneDescription

    public ToneDescription(int gmNumber)
                    throws QTException

  Initializes the ToneDescription instance with the appropriate instrument based on the specified gmNumber.
  QuickTime::NAStuffToneDescription
Parameters:
  `gmNumber` - instrument number

### ToneDescription

    public ToneDescription(NoteAllocator na,
                           int gmNumber)
                    throws StdQTException

  Initializes the ToneDescription instance with the appropriate instrument based on the specified gmNumber.
  QuickTime::NAStuffToneDescription
Parameters:
  `na` - the NoteAllocator component instance to use
  `gmNumber` - instrument number

Method Detail

### getSynthesizerType

    public final int getSynthesizerType()

  Returns the current OSType of the described instrument's synthesiser.
  Returns:
    the OSType

### setSynthesizerType

    public final void setSynthesizerType(int type)

  Sets the current OSType of the described instrument's synthesiser.
  Parameters:
    `type` - the OSType

### getSynthesizerName

    public final java.lang.String getSynthesizerName()
                                              throws UtilException

  Returns the current name of the described instrument's synthesiser.
  Returns:
    the Synthesizer name

### setSynthesizerName

    public final void setSynthesizerName(java.lang.String name)
                                  throws UtilException

  Sets the current name of the described instrument's synthesiser.
  Parameters:
    `name` - the Synthesizer name

### getInstrumentName

    public final java.lang.String getInstrumentName()
                                             throws UtilException

  Returns the current name of the described instrument.
  Returns:
    the instrumentName

### setInstrumentName

    public final void setInstrumentName(java.lang.String name)
                                 throws UtilException

  Sets the current name of the described instrument.
  Parameters:
    `name` - the instrumentName

### getInstrumentNumber

    public final int getInstrumentNumber()

  Returns the current number of the described instrument.
  Returns:
    the instrumentNumber

### setInstrumentNumber

    public final void setInstrumentNumber(int num)

  Sets the current number of the described instrument.
  Parameters:
    `num` - the instrumentNumber

### getGMNumber

    public final int getGMNumber()

  Returns the current gm Number of the described instrument's synthesiser.
  Returns:
    the gm Number

### setGMNumber

    public final void setGMNumber(int gmNumber)

  Sets the current gm Number of the described instrument's synthesiser.
  Parameters:
    `gmNumber` - the gm Number

### stuff

    public final void stuff(NoteAllocator na,
                            int gmNumber)
                     throws StdQTException

  Initializes the calling ToneDescription instance with the details of the note channel specified by the gmNumber.
  QuickTime::NAStuffToneDescription

  Parameters:
    `na` - the Note Allocator component to use
    `gmNumber` - instrument number

### pickInstrument

    public final void pickInstrument(NoteAllocator na,
                                     java.lang.String prompt,
                                     int flags)
                              throws StdQTException

  Initialises the tone description structure through providing the user with a dialog that allows the user to choose the instrument.
  QuickTime::NAPickInstrument

  Parameters:
    `na` - the Note Allocator component to use
    `prompt` - Dialog box prompt "New Instrument..."
    `flags` - flags to limit user options

### toString

    public java.lang.String toString()

  Description copied from class: `QTByteObject`
  Returns a string representation of this object
  Overrides:
    `toString` in class `QTByteObject`

### clone

    public java.lang.Object clone()

  Makes a copy of a ToneDescription object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD